#!/bin/sh

# zPK mgx pack by Zorge.R
# motofan.ru - 2010
# don't modify code.

mypath=${0%/*}

showNotify "Skinster" "Check EXT partition." 1 1
touch /mmc/ext/testextpart

if [ -f /mmc/ext/testextpart ]
	then
		showNotify "Skinster" "Find EXT. Skins will be install to EXT partition." 1 4
		inst_path=/mmc/ext/skins
	else
		showNotify "Skinster" "Can't find EXT partition. Skins will be install to Phone memory." 1 4
		inst_path=/mmc/movinand1/skins
fi
rm /mmc/ext/testextpart

showNotify "Skinster" "Start install Skins." 1 2

# start install
cp -R -f $mypath/skins/* $inst_path
chmod 777 $inst_path -R
# end install

showNotify "Skinster" "Update skin list." 1 2

# Update START
		for SKIN_PATH in /ezxlocal/download/mystuff/skins /mmc/ext/skins
		do
			cd ${SKIN_PATH}
			[ $? -ne 0 ] && continue
		
			for i in `ls -1F | grep /$`
			do
				filename="${i%/}"
				chmfile="/ezxlocal/download/appwrite/setuptheme/${filename}.chm"
				if [ ! -f "$chmfile" ]
				then
					DEF_CHM_FILE=`grep "^CurrentTheme = " "/usr/data_resource/theme/ezx_theme.cfg" | awk '{ print $3 }'`
					cat $DEF_CHM_FILE | sed "s@ThemeName = .*@ThemeName = $filename@" | sed "s@Skin = .*@Skin = ${SKIN_PATH}/${filename}@" > "$chmfile"
				fi
			done
		done
# Update END

showNotify "Skinster" "Start change background in Mira themes." 1 2

## Wallpaper start ##
cp -f $mypath/skins/Mira_Concept_menu/bg.png /mmc/movinand1/Pictures/Mira.png
cat "/ezxlocal/download/appwrite/setuptheme/Mira_Concept_menu.chm" | sed "s/WallPaper = .*/WallPaper = \/mmc\/movinand1\/Pictures\/Mira.png/g" > /tmp/curMira_Concept_menu.chm
cp -f /tmp/curMira_Concept_menu.chm /ezxlocal/download/appwrite/setuptheme/Mira_Concept_menu.chm
chmod 777 /ezxlocal/download/appwrite/setuptheme/Mira_Concept_menu.chm
cat "/ezxlocal/download/appwrite/setuptheme/Mira_Concept_NOmenu.chm" | sed "s/WallPaper = .*/WallPaper = \/mmc\/movinand1\/Pictures\/Mira.png/g" > /tmp/curMira_Concept_NOmenu.chm
cp -f /tmp/curMira_Concept_NOmenu.chm /ezxlocal/download/appwrite/setuptheme/Mira_Concept_NOmenu.chm
chmod 777 /ezxlocal/download/appwrite/setuptheme/Mira_Concept_NOmenu.chm
## Wallpaper end ##

showQ "Skinster" "Skins install complete" 2

